# 32/64bit spec-file
#
%define build_modules 1
%define enable_jasper   1
%define enable_graphwiz 1

%define Name		GraphicsMagick
%define libname         %mklibname %name 3
%define libwandname	%mklibname GraphicsMagickWand 2
%define develname	%mklibname %name -d
%define version         1.3.20
%define qlev            Q8

Summary:	An X application for displaying and manipulating images
Name:		GraphicsMagick
Version:	%{version}
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphics
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.graphicsmagick.org/
Source0:	http://kent.dl.sourceforge.net/sourceforge/graphicsmagick/%{Name}-%{version}.tar.xz
Patch0:         GraphicsMagick-1.3.15-use-so-for-modules.patch
Patch1:         GraphicsMagick-1.3.16-perl-link.patch
Patch2:		GraphicsMagick-1.3.20-CVE-2014-1947.patch
#----------------------------------------
BuildRequires: %{_lib}bzip2-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}jasper-devel
BuildRequires: %{_lib}jbig-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}lcms-devel
BuildRequires: %{_lib}ltdl-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}wmf0.2_7-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: libgomp-devel
BuildRequires: x11-proto-devel
BuildRequires: perl-devel
BuildRequires: libwmf-devel
BuildRequires: zlib-devel
#----------------------------------------
Obsoletes:	GraphicsMagick < %version

%description
GraphicsMagick is the swiss army knife of image processing. It 
provides a robust collection of tools and libraries which support 
reading, writing, and manipulating an image in over 88 major formats 
including important formats like DPX, GIF, JPEG, JPEG-2000, PNG, PDF, 
SVG, and TIFF. GraphicsMagick supports huge images on systems that 
support large files, and has been tested with gigapixel-size images. 
GraphicsMagick can create new images on the fly, making it suitable 
for building dynamic Web applications. GraphicsMagick may be used to 
resize, rotate, sharpen, color reduce, or add special effects to an 
image and save the result in the same or differing image format. 
Image processing operations are available from the command line, as 
well as through C, C++, Perl, or Windows COM programming interfaces. 
Extensions are available from third-parties to support programming in 
Python, Tcl, and Ruby. With some modification, language extensions for 
ImageMagick may be used.

%files
%defattr(-,root,root)
%doc ChangeLog *.txt
%{_bindir}/gm
%dir %{_libdir}/GraphicsMagick-%{version}/config
%{_libdir}/GraphicsMagick-%{version}/config/*.mgk
%dir %{_datadir}/GraphicsMagick-%{version}/config
%{_datadir}/GraphicsMagick-%{version}/config/*.mgk
%if %build_modules
%dir %{_libdir}/%{Name}-%{version}/modules-%{qlev}
%{_libdir}/%{Name}-%{version}/modules-%{qlev}/filters
%dir %{_libdir}/%{Name}-%{version}/modules-%{qlev}/coders
%{_libdir}/%{Name}-%{version}/modules-%{qlev}/coders/*.so
%{_libdir}/%{Name}-%{version}/modules-%{qlev}/coders/*.la
#%{_libdir}/%{Name}-%{version}/modules-%{qlev}/coders/*.a
%endif
%{_mandir}/man1/GraphicsMagick++-config.1.*
%{_mandir}/man1/GraphicsMagick-config.1.*
%{_mandir}/man1/GraphicsMagickWand-config.1.*
%{_mandir}/man1/gm.1.*
%{_mandir}/man4/miff.4.*
%{_mandir}/man5/quantize.5.*

#--------------------------------------------------------------

%package -n     %{libname}
Summary:        %Name libraries
Group:          System/Libraries
Obsoletes:	%{_lib}GraphicsMagick1
Obsoletes:	%{_lib}GraphicsMagick++1

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with ImageMagick libraries.

%files -n %{libname}
%defattr(-,root,root,755)
%{_libdir}/libGraphicsMagick++.so.3*
%{_libdir}/libGraphicsMagick.so.3*

#--------------------------------------------------------------

%package -n     %{libwandname}
Summary:        %Name libraries
Group:          System/Libraries
Obsoletes:	%{_lib}GraphicsMagickWand0

%description -n %{libwandname}
This package contains the libraries needed to run programs dynamically
linked with ImageMagick libraries.

%files -n %{libwandname}
%defattr(-,root,root,755)
%{_libdir}/libGraphicsMagickWand.so.2*

#--------------------------------------------------------------

%package devel
Summary: Static libraries and header files for %{Name} app development
Group: Development/Libraries
Obsoletes: GraphicsMagick-devel < %version
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}GraphicsMagick++-devel < %version
Provides: %{_lib}GraphicsMagick++-devel = %{version}-%{release}
Requires:  %{libname} = %{version}
Requires: %{libwandname} = %{version}
Requires:  jbig-devel
%if %{enable_jasper}
Requires: jasper-devel
%endif
%if %{enable_graphwiz}
Requires: graphviz-devel
%define _requires_exceptions devel(libcdt)\\|devel(libcircogen)\\|devel(libcommon)\\|devel(libdotgen)\\|devel(libdotneato)\\|devel(libfdpgen)\\|devel(libgraph)\\|devel(libgvrender)\\|devel(libneatogen)\\|devel(libpack)\\|devel(libpathplan)\\|devel(libtwopigen)\\|devel(libgvc)\\|devel(libgvgd)
%endif

%description devel
If you want to create applications that will use ImageMagick code or
APIs, you'll need to install these packages as well as
ImageMagick. These additional packages aren't necessary if you simply
want to use ImageMagick, however.

imagemagick-devel is an addition to ImageMagick which includes static
libraries and header files necessary to develop applications.

%files devel
%defattr(-,root,root)
%{_bindir}/GraphicsMagick++-config
%{_bindir}/GraphicsMagick-config
%{_bindir}/GraphicsMagickWand-config
%dir %{_includedir}/GraphicsMagick
%{_includedir}/GraphicsMagick/Magick++.h
%dir %{_includedir}/GraphicsMagick/magick
%{_includedir}/GraphicsMagick/magick/*.h
%dir %{_includedir}/GraphicsMagick/Magick++
%{_includedir}/GraphicsMagick/Magick++/*.h
%dir %{_includedir}/GraphicsMagick/wand
%{_includedir}/GraphicsMagick/wand/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

#--------------------------------------------------------------

%package -n     perl-GraphicsMagick
Summary:        Libraries and modules for access to %Name from perl
Group:          Development/Perl
Requires:       %{name} = %{version}
Obsoletes:	perl-GraphicsMagick < %version
%if %{enable_graphwiz}
Requires:       graphviz
%endif

%description -n perl-GraphicsMagick
This is the %Name perl support package. It includes perl modules
and support files for access to ImageMagick library from perl.

%files -n perl-GraphicsMagick
%defattr(-,root,root)
#%{_mandir}/man3*/*::*.3pm*
#%{perl_vendorarch}/Graphics
#%{perl_vendorarch}/auto

#--------------------------------------------------------------

%package        doc
Summary:        %{name} Documentation
Group:          Documentation

%description    doc
This package contains HTML/PDF documentation of %{name}.


%files doc
%defattr(-,root,root)
%_datadir/doc/GraphicsMagick

#--------------------------------------------------------------

%prep
%setup -q -n %{Name}-%{version}
%patch0 -p0
%patch1 -p1 -b .perl-link
%patch2 -p1 -b .CVE-2014-1947

%build
%define Werror_cflags %nil
%configure2_5x \
    --enable-fast-install \
    --disable-ltdl-install \
    --without-dps \
    --disable-static \
%if %build_modules
    --with-modules \
%else
    --without-modules \
%endif
    --enable-shared \
    --with-pic \
%if %{enable_jasper}
    --with-jp2 \
%else
    --without-jp2 \
%endif
    --with-perl-options="INSTALLDIRS=vendor" 

%make

%install
rm -rf %{buildroot}

%makeinstall_std
rm -f %buildroot%{_datadir}/GraphicsMagick-%{version}/{ChangeLog,NEWS.txt}

#remove .la files
rm -r %buildroot/%{_libdir}/*.la


%clean
rm -rf %{buildroot}


%changelog
* Thu Sep 04 2014 bb <bb> 1.3.20-1pclos2014
- security update

* Thu Jan 02 2014 bb <bb> 1.3.5-3pclos2013
- adjust specfile 
- drop .la files

* Wed Jan 30 2013 pinoc <vogtpet at gmail.com> 1.3.5-2pclos2013
- rebuild, now also for 64bit

